/* -*- c-file-style: "ruby"; indent-tabs-mode: nil -*- */

#include "rb-papi.h"

static ID id_corresponding_error;
static VALUE eError;

VALUE
rb_papi_corresponding_error(papi_status_t status)
{
    return rb_funcall(eError, id_corresponding_error,
                      1, INT2NUM(status));
}

void
Init_rb_papi_error(VALUE mPAPI)
{
    id_corresponding_error = rb_intern("corresponding_error");
    eError = rb_define_class_under(mPAPI, "Error", rb_eStandardError);
}
