/* -*- c-file-style: "ruby"; indent-tabs-mode: nil -*- */

#include "rb-papi.h"

void
Init_rb_papi_resolution(VALUE mPAPI)
{
    VALUE mResolutionUnit, cResolution;

    mResolutionUnit = rb_define_module_under(mPAPI, "ResolutionUnit");
    cResolution = rb_struct_define("Resolution", "xres", "yres", "units", NULL);
    rb_define_const(mPAPI, "Resolution", cResolution);

    rb_define_const(mResolutionUnit, "PER_INCH", INT2NUM(PAPI_RES_PER_INCH));
    rb_define_const(mResolutionUnit, "PER_CM", INT2NUM(PAPI_RES_PER_CM));
}
